summaryrefslogtreecommitdiffstats
path: root/multimedia/mythplugins
diff options
context:
space:
mode:
author David Somero2010-05-13 00:35:04 +0200
committer Robby Workman2010-05-13 00:35:04 +0200
commit730600ba523cb7d5e2b0948cf63b54c2758b67cf (patch)
tree1650bd044d39224eabb77b04c0a6c9088479ce4c /multimedia/mythplugins
parent32188b69fad25be06eb625836c2f4999fff2c171 (diff)
downloadslackbuilds-730600ba523cb7d5e2b0948cf63b54c2758b67cf.tar.gz
multimedia/mythplugins: Updated for version 0.22
Diffstat (limited to 'multimedia/mythplugins')
-rw-r--r--multimedia/mythplugins/README14
-rw-r--r--multimedia/mythplugins/mythplugins.SlackBuild45
-rw-r--r--multimedia/mythplugins/mythplugins.info10
-rw-r--r--multimedia/mythplugins/slack-desc8
4 files changed, 43 insertions, 34 deletions
diff --git a/multimedia/mythplugins/README b/multimedia/mythplugins/README
index 79dd118c5d..fd3aae8c3a 100644
--- a/multimedia/mythplugins/README
+++ b/multimedia/mythplugins/README
@@ -1,9 +1,9 @@
-All the official MythTV plugins, including MythArchive, MythControls,
- MythDVD, MythFlix, MythGallery, MythGame, MythMusic, MythNews,
- MythPhone, MythVideo, MythWeather, MythWeb.
+All the official MythTV plugins, including MythArchive, MythControls, MythDVD,
+MythFlix, MythGallery, MythGame, MythMusic, MythNews, MythPhone, MythVideo,
+MythWeather, and MythWeb.
-Requires Mythtv
+This requires mythtv, xmltv_prereq, and lame.
-Some of these plugins require extra work to get them functional.
-See the README files in /usr/doc/mythplugins for extra steps,
-configuration, and dependences.
+Some of these plugins require extra work to get them functional. See the
+README files in /usr/doc/mythplugins for extra steps, configuration, and
+dependencies.
diff --git a/multimedia/mythplugins/mythplugins.SlackBuild b/multimedia/mythplugins/mythplugins.SlackBuild
index 85d0f1db8b..726bd44c1c 100644
--- a/multimedia/mythplugins/mythplugins.SlackBuild
+++ b/multimedia/mythplugins/mythplugins.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for mythtvplugins
# http://www.mythtv.org/
-# Copyright 2006-2007 David Somero (dsomero@hotmail.com)
+# Copyright 2006-2009 David Somero (dsomero@hotmail.com) Athens,TN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mythplugins
-VERSION=0.21
+VERSION=0.22
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,12 +34,15 @@ TMP=${TMP:-/tmp/SBo}
PKG=${TMP}/package-${PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
-if [ "${ARCH}" = "i486" ]; then
+if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "${ARCH}" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -57,38 +60,42 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr
qmake $PRGNAM.pro
make
-
make INSTALL_ROOT="$PKG" install
+
cp -a mythweb $PKG/usr/share/mythtv/
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-( PATHS=$(ls -d */ | xargs -l basename)
- for i in $PATHS;do test -f $i/README && cp $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i;done
- for i in $PATHS;do test -f $i/AUTHORS && cp $i/AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION/AUTHORS.$i;done
- for i in $PATHS;do test -f $i/COPYING && cp $i/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.$i;done
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
-# Remove perlocal.pod and .packlist from $PKG
+# Remove perllocal.pod and other special files that don't need to be installed
( cd $PKG
- find . -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
)
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( PATHS=$(ls -d */ | xargs -l basename)
+ for i in $PATHS; do
+ [ -f $i/README ] && cp $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+ [ -f $i/AUTHORS ] && cp $i/AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION/AUTHORS.$i ;
+ [ -f $i/COPYING ] && cp $i/COPYING $PKG/usr/doc/$PRGNAM-$VERSION/COPYING.$i ;
+ done
)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mythplugins/mythplugins.info b/multimedia/mythplugins/mythplugins.info
index 559332109f..73d0e13a3c 100644
--- a/multimedia/mythplugins/mythplugins.info
+++ b/multimedia/mythplugins/mythplugins.info
@@ -1,8 +1,10 @@
PRGNAM="mythplugins"
-VERSION="0.21"
+VERSION="0.22"
HOMEPAGE="http://www.mythtv.org/"
-DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/mythplugins-0.21.tar.bz2"
-MD5SUM="6c08043227bef1384858deee12b5cdc3"
+DOWNLOAD="http://ftp.osuosl.org/pub/mythtv/mythplugins-0.22.tar.bz2"
+MD5SUM="09c8fa1058399a0c5db169a71561e985"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"
-APPROVED="rworkman"
+APPROVED="rwokrman"
diff --git a/multimedia/mythplugins/slack-desc b/multimedia/mythplugins/slack-desc
index b5f45917f2..833f2ecb56 100644
--- a/multimedia/mythplugins/slack-desc
+++ b/multimedia/mythplugins/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------|
mythplugins: Mythtv Plugins ( http://www.mythtv.org/ )
-mythplugins:
+mythplugins:
mythplugins: Official MythTV plugins:
-mythplugins:
+mythplugins:
mythplugins: MythBrowser, MythDVD, MythFlix,
mythplugins: MythGallery, MythGame, MythMusic,
mythplugins: MythNews, MythPhone, MythVideo,
mythplugins: MythWeather, and MythWeb
-mythplugins:
-mythplugins:
+mythplugins:
+mythplugins:
mythplugins: